@echo off

set LIB=..\lib
set TEST=.
set RELEASE=..\release\stand-alone

set CLASSPATH=%TEST%\org.eclipse.mddi.modelbus.adapter.test.jar
set CLASSPATH=%CLASSPATH%;%RELEASE%\org.eclipse.mddi.modelbus.adapter.jar
set CLASSPATH=%CLASSPATH%;%RELEASE%\org.eclipse.mddi.modelbus.description.jar

set CLASSPATH=%CLASSPATH%;%LIB%\axis\axis.jar
set CLASSPATH=%CLASSPATH%;%LIB%\axis\commons-discovery-0.2.jar
set CLASSPATH=%CLASSPATH%;%LIB%\axis\commons-logging-1.0.4.jar
set CLASSPATH=%CLASSPATH%;%LIB%\axis\commons-httpclient-3.0-rc2.jar
set CLASSPATH=%CLASSPATH%;%LIB%\axis\jaxrpc.jar
set CLASSPATH=%CLASSPATH%;%LIB%\axis\log4j-1.2.8.jar
set CLASSPATH=%CLASSPATH%;%LIB%\axis\saaj.jar
set CLASSPATH=%CLASSPATH%;%LIB%\axis\wsdl4j-1.5.1.jar

set CLASSPATH=%CLASSPATH%;%LIB%\emf\common.jar
set CLASSPATH=%CLASSPATH%;%LIB%\emf\common.resources.jar
set CLASSPATH=%CLASSPATH%;%LIB%\emf\ecore.jar
set CLASSPATH=%CLASSPATH%;%LIB%\emf\ecore.xmi.jar
set CLASSPATH=%CLASSPATH%;%LIB%\emf\ecore.resources.jar



java -classpath %CLASSPATH% org.eclipse.mddi.modelbus.adapter.test.sample.ProviderTestSample http://localhost:8082/modelbus/modelwareRegistry %TEST%\sample.description


pause